<?php

use yii\db\Migration;

/**
 * Handles the creation of table `{{%users}}`.
 */
class m240528_140435_create_users_table extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createTable('{{%users}}', [
            'id' => $this->primaryKey(),
            'first_name'=>$this->string('256'),
            'surname'=>$this->string('256'),
            'patronymic'=>$this->string('256')->null(),
            'username'=>$this->string('256'),
            'email'=>$this->string('256'),
            'password'=>$this->string('256'),
            'authKey'=>$this->string('256')->null(),
            'is_admin'=>$this->integer()->defaultValue(0),
            'created_at'=>$this->timestamp(),
        ]);
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropTable('{{%users}}');
    }
}
