<?php

/** @var yii\web\View $this */
/** @var yii\bootstrap5\ActiveForm $form */
/** @var app\models\ContactForm $model */

use yii\bootstrap5\ActiveForm;
use yii\bootstrap5\Html;
use yii\captcha\Captcha;

$this->title = 'Contact';
$this->params['breadcrumbs'][] = $this->title;
?>
<!-- начало подвала -->
<div id="footer">
    <div id="footer_box">
        <div id="footer_box_top">
            <div id="footer_top">
                <div> <p class="footer_text_white">ДАВАЙТЕ СОЗДАДИМ</p> </div>
                <div> <p class="footer_text_yellow">КЛАССНЫЙ ПРОЕКТ</p> </div>
                <div id="footer_top_row">
                    <div><p class="footer_text_white">ВМЕСТЕ!</p></div>
                    <div><p class="footer_text_side">Чтобы обсудить проект заполните короткий бриф или свяжитесь со мной в любом удобном мессенджере</p></div>
                    <div><button id="footer_top_button"> <p>ЗАПОЛНИТЬ БРИФ</p> </button></div>
                </div>
            </div>
        </div>
        <div id="footer_bottom_box">
            <div id="footer_bottom">
                <div class="footer_bottom_column">
                    <div> <button class="footer_bottom_button"> <p>Telegram</p> </button> </div>
                    <div> <button class="footer_bottom_button"> <p>WhatsApp</p> </button> </div>
                    <div> <button class="footer_bottom_button"> <p>Tilda Expert</p> </button> </div>
                </div>
                <div id="footer_bottom_column_center">
                    <div> <p id="footer_bottom_text_H">КОНТАКТЫ</p> </div>
                    <div id="footer_bottom_center_row">
                        <div> <p class="footer_bottom_text">Политика конфиденциальности</p> </div>
                        <div> <p class="footer_bottom_text">© 2023, IRINA MOLOT</p> </div>
                    </div>
                </div>
                <div class="footer_bottom_column">
                    <div> <p id="footer_bottom_right_H">ДИЗАЙНЕРАМ И ЭКСПЕРТАМ</p> </div>
                    <div> <p class="footer_bottom_text">Интенсив «Продающий сайт для экспертов и наставников» </p> </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- конец подвала -->

<div class="row">
    <div class="col-lg-5">

        <?php $form = ActiveForm::begin(['id' => 'contact-form']); ?>

        <?= $form->field($model, 'name')->textInput(['autofocus' => true]) ?>

        <?= $form->field($model, 'text')->textarea(['rows' => 6]) ?>


        <div class="form-group">
            <?= Html::submitButton('Отправить', ['class' => 'btn btn-primary', 'name' => 'contact-button']) ?>
        </div>

        <?php ActiveForm::end(); ?>

    </div>
</div>
